{if $formAcceptable}
	{if $alreadyVoted}
		<h1>You've already voted!</h1>
		<p><img src="./images/face-surprise.png" alt=":O" title="Surprised smiley"/> You have already voted in the barryvan compo this round. You cannot vote again until the next round starts. <a href="?">Continue...</a></p>
	{else}
		<h1>Thank you</h1>
		<p><img src="./images/face-smile.png" alt=":)" title="Smiley"/> Thank you for your vote. It will be processed shortly. <a href="?">Continue...</a></p>
	{/if}
{else}
	<h1>Download and Vote</h1>
	{if $votingOpen}
		<p><a href="?page=showInspiration&id={$inspirationID}">View inspiration...</a></p>
		<p>Here are this round's six songs. Download them, listen to them, and vote on them!</p>
		<h2>Note:</h2>
		<ul>
		<li>You must select <em>different</em> tracks for each of first, second, and third place. If you don't, your vote won't be counted.</li>
		<li>You must provide a valid email address, or your vote won't be counted.</li>
		<li>You can only vote <em>once</em>.</li>
		</ul>

		{if $formError}
			<br/><span class="error" style="display: block;">There was an error processing your form.</span>
		{/if}

		<form class="vote" method="post" action="?page=vote" onSubmit="return validateForm(this);" name="vote">
			<input type="hidden" name="formName" value="vote"/>

			<div class="formControl">
				<label for="voterName">Your Name:</label> <input type="text" name="voterName" class="text" value="{$voterName}"/>
				{if $voterNameError}<span class="error" id="voterNameError">Please enter your name.</span>{/if}
			</div>
				<div class="formControl">
				<label for="voterEmail">Your Email:</label> <input type="text" name="voterEmail" class="text" value="{$voterEmail}"/>
				{if $voterEmailError}<span class="error" id="voterEmailError">Please enter your email address.</span>{/if}
			</div>
			<div class="horizontalSpacer">&nbsp;</div>

			<table class="votesTable" cellspacing="0">
				<tr class="votesHeader">
					<td>Track name (click to download)</td>
					<td>Artist</td>
					<td class="votesPlace">First</td>
					<td class="votesPlace">Second</td>
					<td class="votesPlace">Third</td>
				</tr>

				{foreach from=$entries item=currItem}
				<tr class="{cycle values="votesEven,votesOdd"}">
					<td class="votesTrack"><a href="{$currItem->trackURL}" title="Download {$currItem->trackName} by {$currItem->artistName}">{$currItem->trackName}</a></td>
					<td class="votesArtist">{$currItem->artistName}</td>
					<td class="votesFirst"><input type="radio" value="{$currItem->trackID}" name="first" class="radio"{if $first == $currItem->trackID} checked="checked"{/if}/></td>
					<td class="votesSecond"><input type="radio" value="{$currItem->trackID}" name="second" class="radio"{if $second == $currItem->trackID} checked="checked"{/if}/></td>
					<td class="votesThird"><input type="radio" value="{$currItem->trackID}" name="third" class="radio"{if $third == $currItem->trackID} checked="checked"{/if}/></td>
				</tr>
				{/foreach}
		</table>
		{if $votesError}<span class="error" id="votesError">There is an error in your vote.</span>{/if}
		<div class="horizontalSpacer">&nbsp;</div>
		<div class="formControl">
			<input type="checkbox" name="notBot" class="checkBox">I am not a bot.
			{if $notBotError}<span class="error" id="notBotError">Oh no! A bot!</span>{/if}
		</div>
		<div class="horizontalSpacer">&nbsp;</div>
		<div class="formControl">
			<input type="submit" value="Submit Vote" class="button"/><input type="reset" value="Reset" class="button"/>
		</div>
	</form>

	{else} {* Voting not yet open *}
		<p><em>Voting isn't open yet.</em></p>
		<p><img src="./images/face-surprise.png" alt=":O" title="Surprised smiley"/> Voting for this round of the barryvan compo is not yet open. Check back after {$votesOpenDate}.</p>
	{/if}
{/if}

{* Now, onto showing the results. *}

{if $showResults}
	<div class="horizontalSpacer">&nbsp;</div>
	<h1>Results</h1>
	{foreach from=$pastResults item=round}
		<h2>Round beginning {$round->roundDate}</h2>
		<p>In a tie, the winner is decided by the number of first place votes, then second place votes, then third place votes. Please note that not all of these links may be live anymore, particularly for older rounds.</p>
		<p><a href="?page=showInspiration&id={$round->inspirationID}">View Inspiration...</a></p>
		<table class="votesTable" cellspacing="0">
			<tr class="votesHeader">
				<td>Track name (click to download)</td>
				<td>Artist</td>
				<td class="votesPlace">Firsts</td>
				<td class="votesPlace">Seconds</td>
				<td class="votesPlace">Thirds</td>
				<td class="votesPlace">Score</td>
			</tr>
			{foreach from=$round->tracks item=track name=tracksLoop}
				{if $smarty.foreach.tracksLoop.first}
			<tr class="votesWinner">
				{else}
			<tr class="{cycle values=votesOdd,votesEven}">
				{/if}
				<td class="votesTrack">{if $smarty.foreach.tracksLoop.first}<em class="bold">Winner!</em> {/if}<a href="{$track->trackURL}" title="Download {$track->trackName} by {$track->artistName}">{$track->trackName}</a></td>
				<td class="votesArtist">{$track->artistName}</td>
				<td class="votesFirst">{$track->votesFirst}</td>
				<td class="votesSecond">{$track->votesSecond}</td>
				<td class="votesThird">{$track->votesThird}</td>
				<td class="votesTotal">{$track->votesTotalPoints}</td>
			</tr>
			{/foreach}
		</table>
	{/foreach}
{/if}
